> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yertle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Public Org Graph

> Anonymous read of the org graph for a published org.



## OpenAPI

````yaml get /public/orgs/{org_id}/graph
openapi: 3.1.0
info:
  title: Flow API
  description: Content-addressing backend with Git-like versioning
  version: 1.0.0
servers:
  - url: https://api.yertle.com
    description: Production
security: []
paths:
  /public/orgs/{org_id}/graph:
    get:
      tags:
        - public
      summary: Get Public Org Graph
      description: Anonymous read of the org graph for a published org.
      operationId: get_public_org_graph_public_orgs__org_id__graph_get
      parameters:
        - name: org_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Org Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OrgGraphResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OrgGraphResponse:
      properties:
        nodes:
          items:
            $ref: '#/components/schemas/GraphNodeResponse'
          type: array
          title: Nodes
          description: All nodes in the org
        edges:
          items:
            $ref: '#/components/schemas/GraphEdge'
          type: array
          title: Edges
          description: All edges (parent-child + connections)
        total_nodes:
          type: integer
          title: Total Nodes
          description: Total node count
        total_edges:
          type: integer
          title: Total Edges
          description: Total edge count
        org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Name
          description: Display name of the org (used by the public viewer's org-name card)
      type: object
      required:
        - nodes
        - edges
        - total_nodes
        - total_edges
      title: OrgGraphResponse
      description: Complete org graph for visualization.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    GraphNodeResponse:
      properties:
        id:
          type: string
          title: Id
          description: Node ID
        title:
          type: string
          title: Title
          description: Node title
        num_parents:
          type: integer
          title: Num Parents
          description: Number of parent nodes
          default: 0
        num_children:
          type: integer
          title: Num Children
          description: Number of child nodes
          default: 0
        num_descendants:
          type: integer
          title: Num Descendants
          description: Total number of descendants
          default: 0
        num_ancestors:
          type: integer
          title: Num Ancestors
          description: Total number of ancestors
          default: 0
        org_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Id
          description: Organization ID this node belongs to
      type: object
      required:
        - id
        - title
      title: GraphNodeResponse
      description: A node in the org graph.
    GraphEdge:
      properties:
        source:
          type: string
          title: Source
          description: Source node ID
        target:
          type: string
          title: Target
          description: Target node ID
        edge_type:
          type: string
          title: Edge Type
          description: '''parent_child'' or ''connection'''
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
          description: Edge label
        connection_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Type
          description: Connection subtype
        parent_node_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Node Id
          description: Canvas context for connections
      type: object
      required:
        - source
        - target
        - edge_type
      title: GraphEdge
      description: An edge in the org graph.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````